import Vue from 'vue'
import App from './App.vue'
import router from './router'
import store from '@/store'

// vue-meta
import VueMeta from 'vue-meta'
Vue.use(VueMeta)

// vant
import { Notify } from 'vant'
Vue.use(Notify)

import { Toast } from 'vant'
Vue.use(Toast)

import { Dialog } from 'vant'
Vue.use(Dialog)

import { Popup } from 'vant'
Vue.use(Popup)

import { Form } from 'vant'
Vue.use(Form)

import { Field } from 'vant'
Vue.use(Field)

import { Button } from 'vant'
Vue.use(Button)

import { Checkbox, CheckboxGroup } from 'vant'
Vue.use(Checkbox)
Vue.use(CheckboxGroup)

import { RadioGroup, Radio } from 'vant'
Vue.use(Radio)
Vue.use(RadioGroup)

import { DatetimePicker } from 'vant'
Vue.use(DatetimePicker)

import { Picker } from 'vant'
Vue.use(Picker)

import { Uploader } from 'vant'
Vue.use(Uploader)

import { List } from 'vant'
Vue.use(List)

// 公共css
import '@/assets/css/base.css'

Vue.config.productionTip = false

new Vue({
  store,
  router,
  render: h => h(App)
}).$mount('#app')
